From ff15480fec78ffefd8bf16f2f647e3f13470925e Mon Sep 17 00:00:00 2001
From: Michal Kovarik <mkovarik@redhat.com>
Date: Jan 22 2020 13:34:53 +0000
Subject: [PATCH 2/11] C3I - template usage


Use jinja2 templates for:
c3i-library include
agent include - secret is taken using openshift, not as variable
include jenkinsfiles directly not as a refence to repository

---

diff --git a/openshift/pipelines/Makefile b/openshift/pipelines/Makefile
index 993653c..beb43ad 100644
--- a/openshift/pipelines/Makefile
+++ b/openshift/pipelines/Makefile
@@ -22,7 +22,7 @@ install:
 	@for job in $(JOBS); do \
 		echo "[PIPELINE] Updating pipeline job \"$${job}\"..." ; \
 	  template_file=$$(cat ./$(JOBS_DIR)/$${job}.tmpl); \
-		$(OC_CMD) process --local -f ./$(TEMPLATES_DIR)/$${template_file} \
+		jinja2 ./$(TEMPLATES_DIR)/$${template_file} | $(OC_CMD) process --local -f - \
 			--param-file ./$(JOBS_DIR)/$${job}.env | $(OC_CMD) apply -f -; \
 		echo "[PIPELINE] Pipeline job \"$${job}\" updated" ; \
 	done
